Two numbers describe digital audio before any compression: how often it is measured, and how finely. For calls, both matter less than the settings menus suggest.
Sample rate: how often
The sample rate is how many times per second the signal is measured, in hertz (Hz) or kilohertz (kHz, thousands per second). It sets the highest frequency the audio can carry: in theory half the sample rate, which is called the Nyquist frequency. Audacity’s manual notes that the practical limit is a little lower, so 44.1 kHz carries a little over 20 kHz.
Two rates are everywhere. 44.1 kHz is the rate of audio CDs. 48 kHz is the rate used on DVDs, and MDN’s documentation for the browser calls it standard digital audio. Either one covers the whole range a call could use: the Opus codec’s own standard, RFC 6716, never codes anything above 20 kHz and calls that the generally accepted upper limit of human hearing.
What matters in practice is that your devices agree. RØDE lists a mismatch between input and output sample rates as one of the most common causes of popping and clicking, so pick one rate, such as 48 kHz, for both your mic and your headphones. On Windows it is Default format under each device’s Advanced settings.
What call apps actually send
The rate your mic records at is not what crosses the network. Calls in the browser use WebRTC, and RFC 7874 requires every WebRTC endpoint to support two codecs: Opus and G.711, the classic telephone codec. Whenever a device can handle audio above 8 kHz, it recommends offering Opus first.
Opus switches between audio bandwidths as it goes. RFC 6716 defines five:
| Opus mode | Audio up to | Effective sample rate |
|---|---|---|
| Narrowband | 4 kHz | 8 kHz |
| Medium-band | 6 kHz | 12 kHz |
| Wideband | 8 kHz | 16 kHz |
| Super-wideband | 12 kHz | 24 kHz |
| Fullband | 20 kHz | 48 kHz |
The format for sending Opus over the network, RFC 7587, runs the clock at 48,000 Hz for every mode and every sample rate.
Opus is also compressed hard. RFC 6716 gives 16–20 kbit/s (kilobits per second) as the sweet spot for wideband speech and 28–40 kbit/s for fullband speech. Uncompressed 48 kHz, 16-bit mono audio is 768 kbit/s (48,000 × 16), so fullband speech goes out at around 4 to 5 percent of that.
Apps show the same picture from the other side. Zoom’s statistics call any sample rate from 16 to 48 kHz acceptable. Its High-fidelity music mode, for musicians, raises the codec to 48 kHz at 96 kbps mono or 192 kbps stereo.
Why 96 kHz buys nothing on a call
A mic or audio interface may offer 96 kHz or more. On a call, the extra range has nowhere to go: the fastest Opus mode works at an effective 48 kHz and carries audio up to 20 kHz, so anything recorded faster is brought down before it is sent. Audacity’s manual adds that recording with more than 20 kHz of bandwidth gives no audible benefit, outside special uses such as slowing audio down. Set the device to 48 kHz and spare your computer the conversion.
Bit depth: how finely
Bit depth is how many bits describe each sample. More bits mean finer steps between the quietest and loudest values, and less of the rounding error that sounds like noise. Audacity’s manual puts 16-bit at a dynamic range above 90 dB, the gap between the quietest and loudest sound the format can hold, and calls it a good general-purpose high-quality setting. MDN calls 16 bits the most common sample size. 24-bit gives more room while recording, and Microsoft recommends it for the mic arrays built into speech devices.
For a call, 16-bit is already finer than the room you are in. A noise floor of −60 dBFS (decibels below full scale), good by the noise test’s standard, sits some 30 dB above the 16-bit format’s own noise. The mic, the room and the codec set the quality long before the bit depth does.
| Setting | On a call | Why |
|---|---|---|
| 48 kHz | Best choice | Matches Opus’s fastest mode and its 48 kHz clock |
| 44.1 kHz | Fine | Covers the same range; keep input and output matched |
| 96 kHz and up | No gain | Brought down to 48 kHz or less before it is sent |
| 16-bit | Fine | More than 90 dB of range, far below any room |
| 24-bit | Fine | Extra room while recording; the codec sends a few dozen kbit/s either way |
Checking yours
The noise test lists what your browser reports under Applied by your browser: the sample rate your mic is running at and its channel count, or a note when your browser does not expose them.